
(function(exports){'use strict';window.HTML_CACHE_VERSION='2';var messagecacherestore={softkeyCacheBackup:null,hydrateHtml:function cache_hydrateHtml(id){var parsedResults=this.retrieve(id);var lang=navigator.language;if(parsedResults.langDir&&(lang===parsedResults.lang)){document.querySelector('html').setAttribute('dir',parsedResults.langDir);}
var contents=parsedResults.contents;if(contents===''){return;}
Startup.useCache=true;var cardsNode=document.getElementById('cache-list');cardsNode.innerHTML=contents;var focusdElement=cardsNode.querySelector('.hasfocused');if(focusdElement){focusdElement.classList.remove('hasfocused');}
var softkeyHTML=parsedResults.cachedSoftkey;this.softkeyCacheBackup=softkeyHTML;if(!Startup.isActivity){if(softkeyHTML){var softkeyNODE=(new DOMParser()).parseFromString(softkeyHTML,'text/html').activeElement.childNodes[0];document.body.appendChild(softkeyNODE);}}},retrieve:function cache_retrieve(id){var value=localStorage.getItem('html_cache_'+id)||'';var index,version,langDir,lang,cachedSoftkey;index=value.indexOf(':');if(index===-1){value='';}else{version=value.substring(0,index);value=value.substring(index+1);var versionParts=version.split(',');version=versionParts[0];langDir=versionParts[1];lang=versionParts[2];cachedSoftkey=versionParts[3];}
if(version!==window.HTML_CACHE_VERSION){value='';}
return{langDir:langDir,lang:lang,cachedSoftkey:cachedSoftkey,contents:value};}};exports.MessageCacheRestore=messagecacherestore;})(this);